# MatIsStructurallySymmetric

Test whether a matrix is structurally symmetric

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatIsStructurallySymmetric(Mat A,PetscTruth *flg)

Collective on Mat

### Input Parameter

A -the matrix to test

### Output Parameters

flg -the result

### C++ variants

| PetscTruth MatIsStructurallySymmetric(Mat A) |  | -> |  | MatIsStructurallySymmetric(A,&t); return t;

### See Also

MatTranspose(), MatIsTranspose(), MatIsHermitian(), MatIsSymmetric(), MatSetOption()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages